commit:     ef3fba9bbf2517a67fcb3a657b36b75dd5accee0
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 19:30:46 2020 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 19:30:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef3fba9b

app-portage/portage-utils-0.90.1: version bump for 32-bits arches only

Closes: https://bugs.gentoo.org/754102
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 app-portage/portage-utils/Manifest                 |  1 +
 .../portage-utils/portage-utils-0.90.1.ebuild      | 71 ++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/app-portage/portage-utils/Manifest 
b/app-portage/portage-utils/Manifest
index 9b4dc1f0425..8ca3a26ec03 100644
--- a/app-portage/portage-utils/Manifest
+++ b/app-portage/portage-utils/Manifest
@@ -1,3 +1,4 @@
 DIST portage-utils-0.87.tar.xz 1772956 BLAKE2B 
b1487d89303b524ffa9e6030feba181fcad73a6f38febf29f63b1f7bcd7a5080ddb1f907ca217040d064427f2060bb3885a61c30663594428be475a5bf7253f0
 SHA512 
a29f2d1fc85aea1c2b4c8b16fca0e9b559a980951f79cb10d7fd836d99ec65a904f2cbc54a949150ce490ba5d705b0aa5aa39f56365968b3dd591cb3d7c5eb21
 DIST portage-utils-0.89.tar.xz 1775088 BLAKE2B 
6218cd3a5a435622366550857753529b38a8c2c9dbc2c9d72d3ce8517679fb782caded843807cebd606294a5ecb6dd110311e8da95d54626126b091ee902ab1d
 SHA512 
c285901f1200f0ee81a4cd12840f5b4938fa525ce3611458287d6f5439c78b9ecf5ec0dc40d759fe5e6a848d4fd13b6d9ac38222ebf2c4453a60f9fdb842a55c
+DIST portage-utils-0.90.1.tar.xz 1779252 BLAKE2B 
27c94694cab84970c0c92e835b9039d9420fbfa20f9f2e03f4f53d118df4dc243cddce33994095a3e41bd1027a42c9c29cda65cb7cf4f45279a028b21555f4f8
 SHA512 
67290a69ad6ac40da3ce0f41d2630096690e69bb97a1428af921ccc582dcfbf903bbf98259f68afdbe9e96aef81672ea3352a9266a649e75f99acec7fa00cd8a
 DIST portage-utils-0.90.tar.xz 1776636 BLAKE2B 
bbacc05aa97c77705ae4fbdb5efde5f1d49a99ac8ed259e026c9a997f43a86551b3a10a397e0c5f1da161d2c0d88afe88e22870705ca39d911c4a98ad13f4928
 SHA512 
2077061dd7dfd444d4ad38faf5a87aa44392d7747f71d7283b5e2775ce3d714773cd642ea085aea3dd34a715f2c446d42fd64ba42fa99e716e8d843aae3d9682

diff --git a/app-portage/portage-utils/portage-utils-0.90.1.ebuild 
b/app-portage/portage-utils/portage-utils-0.90.1.ebuild
new file mode 100644
index 00000000000..aa5f157c1b9
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.90.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+DESCRIPTION="Small and fast Portage helper tools written in C"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Portage-utils";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="nls static openmp +qmanifest +qtegrity libressl"
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3 autotools
+       EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/portage-utils.git";
+else
+       SRC_URI="https://dev.gentoo.org/~grobian/distfiles/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+fi
+
+RDEPEND="
+       qmanifest? (
+               openmp? (
+                       || (
+                               >=sys-devel/gcc-4.2:*[openmp]
+                               sys-devel/clang-runtime:*[openmp]
+                       )
+               )
+               static? (
+                       app-crypt/libb2:=[static-libs]
+                       !libressl? ( dev-libs/openssl:0=[static-libs] )
+                       libressl? ( dev-libs/libressl:0=[static-libs] )
+                       sys-libs/zlib:=[static-libs]
+                       app-crypt/gpgme:=[static-libs]
+               )
+               !static? (
+                       app-crypt/libb2:=
+                       !libressl? ( dev-libs/openssl:0= )
+                       libressl? ( dev-libs/libressl:0= )
+                       sys-libs/zlib:=
+                       app-crypt/gpgme:=
+               )
+       )
+       qtegrity? (
+               openmp? (
+                       || (
+                               >=sys-devel/gcc-4.2:*[openmp]
+                               sys-devel/clang-runtime:*[openmp]
+                       )
+               )
+               static? (
+                       !libressl? ( dev-libs/openssl:0=[static-libs] )
+                       libressl? ( dev-libs/libressl:0=[static-libs] )
+               )
+               !static? (
+                       !libressl? ( dev-libs/openssl:0= )
+                       libressl? ( dev-libs/libressl:0= )
+               )
+       )
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+       econf \
+               --disable-maintainer-mode \
+               --with-eprefix="${EPREFIX}" \
+               $(use_enable qmanifest) \
+               $(use_enable qtegrity) \
+               $(use_enable openmp) \
+               $(use_enable static)
+}

Reply via email to